]> 91.132.146.200 Git - klimbim.git/commitdiff
simple small http performance check with curl
authorBanana <mail@bananas-playground.net>
Fri, 22 Dec 2023 11:57:37 +0000 (12:57 +0100)
committerBanana <mail@bananas-playground.net>
Fri, 22 Dec 2023 11:57:37 +0000 (12:57 +0100)
bash/http-status-performance-check/http-request-stats-format.txt [new file with mode: 0644]
bash/http-status-performance-check/http-request-stats.sh [new file with mode: 0644]

diff --git a/bash/http-status-performance-check/http-request-stats-format.txt b/bash/http-status-performance-check/http-request-stats-format.txt
new file mode 100644 (file)
index 0000000..567a347
--- /dev/null
@@ -0,0 +1 @@
+%{http_code} %{time_namelookup}s %{time_connect}s %{time_appconnect}s %{time_pretransfer}s %{time_redirect}s %{time_starttransfer}s %{time_total}s\n
diff --git a/bash/http-status-performance-check/http-request-stats.sh b/bash/http-status-performance-check/http-request-stats.sh
new file mode 100644 (file)
index 0000000..37c3d9c
--- /dev/null
@@ -0,0 +1,23 @@
+#!/bin/bash
+set -euo pipefail
+
+# Klimbim Software collection, A bag full of things
+# Copyright (C) 2011-2023 Johannes 'Banana' Keßler
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
+
+# use this to get make a simple http call and get some stats about it.
+# see https://curl.se/docs/manpage.html about the --write-out <format> of http-request-stats-format.txt
+
+echo "$(date "+%F %T")" "$(curl -w "@/path/to/http-request-stats-format.txt" -o /dev/null -s "https://www.domain-to-check.tld/path")" >> /path/to/result.txt